This page was not yet optimized for use on mobile devices.
BlackBerry Cryptographic Java Module
Certificate details
| Certificate ID | #2502 |
|---|---|
| Status | historical |
| Historical reason | 186-2 transition |
| Validation dates | 18.12.2015 , 22.01.2016 |
| Standard | FIPS 140-2 |
| Security level | 1 |
| Type | Software |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | When operated in FIPS mode. The module generates cryptographic keys whose strengths are modified by available entropy |
| Exceptions |
|
| Description | BlackBerry is the leading wireless enterprise solution that allows users to stay connected with secure, wireless access to email, corporate data, phone, web and organizer features. BlackBerry is a totally integrated package that includes hardware, software and service, providing a complete end-to-end solution. The BlackBerry Cryptographic Java Module is a software module that provides cryptographic services to BlackBerryproducts such as the BlackBerry PlayBook Administration Service, and other BlackBerry products. |
| Tested configurations |
|
| Vendor | BlackBerry Limited http://www.blackberry.com |
| Lab | EWA - Canada |
| Algorithms | |
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, DES, Triple-DES, HMAC, CMAC, CBC-MACAsymmetric Algorithms
RSA 1536, ECDH, ECDSA, ECIES, ECC, DH, Diffie-Hellman, DSAHash functions
SHA-1, MD4, MD5Schemes
MAC, KARandomness
DRBG, RNG, RBGElliptic Curves
P-224, P-384, P-521, B-233, B-409, B-571, K-233, K-283, K-409, B-163Block cipher modes
ECB, CBC, CTR, CFB, OFB, GCM, CCMTrusted Execution Environments
SESecurity level
Level 1Side-channel analysis
Timing attackStandards
FIPS 140-2, FIPS 140, FIPS 1, FIPS 14, FIPS 180-4, FIPS 18, FIPS 198-1, FIPS 186-4, FIPS 186, FIPS PUB 140-2, FIPS PUB 140, SP 800-56, SP 800-5, NIST SP 800-56A, NIST SP 800-56B, SP 800-131, PKCS1, PKCS # #1, PKCS #1, RFC 22, RFC 1321, RFC 1115, RFC 2104Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 2502,
"dgst": "447512622f976778",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"DSA#978",
"#85",
"#210",
"Triple-DES#964",
"Triple-DES#1954",
"KAS#8",
"DSA#455",
"#776",
"#687",
"#964",
"ECDSA#179",
"KAS#62",
"ECDSA#702",
"#1281",
"SHS#1281",
"RSA#1776",
"#455",
"#954",
"#978",
"#2860",
"HMAC#832",
"#52",
"DRBG#52",
"AES#1411",
"HMAC#2210",
"#702",
"SHS#2860",
"RSA#687",
"#1411",
"KAS#61",
"#832",
"DRBG#852",
"#62",
"#3465",
"AES#3465",
"#179"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"-"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 45,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECC": {
"ECC": 1
},
"ECDH": {
"ECDH": 6
},
"ECDSA": {
"ECDSA": 6
},
"ECIES": {
"ECIES": 4
}
},
"FF": {
"DH": {
"DH": 5,
"Diffie-Hellman": 2
},
"DSA": {
"DSA": 10
}
},
"RSA": {
"RSA 1536": 1
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 5
},
"CCM": {
"CCM": 3
},
"CFB": {
"CFB": 1
},
"CTR": {
"CTR": 2
},
"ECB": {
"ECB": 5
},
"GCM": {
"GCM": 4
},
"OFB": {
"OFB": 4
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {},
"crypto_protocol": {},
"crypto_scheme": {
"KA": {
"KA": 1
},
"MAC": {
"MAC": 1
}
},
"device_model": {},
"ecc_curve": {
"NIST": {
"B-163": 1,
"B-233": 1,
"B-409": 1,
"B-571": 1,
"K-233": 1,
"K-283": 1,
"K-409": 1,
"P-224": 2,
"P-384": 2,
"P-521": 2
}
},
"eval_facility": {},
"fips_cert_id": {
"Cert": {
"# 1281": 5,
"# 1411": 1,
"# 17": 2,
"# 179": 1,
"# 19": 1,
"# 2": 5,
"# 22": 5,
"# 3": 1,
"# 455": 1,
"# 52": 1,
"# 6": 1,
"# 62": 2,
"# 687": 2,
"# 7": 1,
"# 8": 3,
"# 832": 5,
"# 85": 1,
"# 9": 1,
"# 964": 1,
"#1": 4
}
},
"fips_certlike": {
"Certlike": {
"DSA 10": 1,
"HMAC-SHA-1": 2,
"PKCS #1": 4,
"PKCS1": 2,
"RSA 1536": 1,
"RSA PKCS1": 2,
"SHA- 1": 1,
"SHA- 224": 1,
"SHA- 256": 1,
"SHA- 384": 1,
"SHA- 512": 1,
"SHA-1 1": 1
}
},
"fips_security_level": {
"Level": {
"Level 1": 2
}
},
"hash_function": {
"MD": {
"MD4": {
"MD4": 2
},
"MD5": {
"MD5": 2
}
},
"SHA": {
"SHA1": {
"SHA-1": 1
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 10
},
"RNG": {
"RBG": 2,
"RNG": 8
}
},
"side_channel_analysis": {
"SCA": {
"Timing attack": 1
}
},
"standard_id": {
"FIPS": {
"FIPS 1": 1,
"FIPS 14": 1,
"FIPS 140": 3,
"FIPS 140-2": 6,
"FIPS 18": 4,
"FIPS 180-4": 1,
"FIPS 186": 1,
"FIPS 186-4": 1,
"FIPS 198-1": 4,
"FIPS PUB 140": 3,
"FIPS PUB 140-2": 1
},
"NIST": {
"NIST SP 800-56A": 1,
"NIST SP 800-56B": 1,
"SP 800-131": 1,
"SP 800-5": 1,
"SP 800-56": 1
},
"PKCS": {
"PKCS # #1": 1,
"PKCS #1": 2,
"PKCS1": 2
},
"RFC": {
"RFC 1115": 1,
"RFC 1321": 1,
"RFC 2104": 1,
"RFC 22": 1
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 6
}
},
"DES": {
"3DES": {
"Triple-DES": 2
},
"DES": {
"DES": 5
}
},
"constructions": {
"MAC": {
"CBC-MAC": 1,
"CMAC": 2,
"HMAC": 9
}
}
},
"tee_name": {
"IBM": {
"SE": 2
}
},
"tls_cipher_suite": {},
"vendor": {},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"DSA#978",
"Triple-DES#964",
"Triple-DES#1954",
"KAS#8",
"DSA#455",
"ECDSA#179",
"KAS#62",
"ECDSA#702",
"SHS#1281",
"RSA#1776",
"HMAC#832",
"DRBG#52",
"AES#1411",
"HMAC#2210",
"SHS#2860",
"RSA#687",
"KAS#61",
"DRBG#852",
"AES#3465"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#85",
"#210",
"#776",
"#687",
"#702",
"#1411",
"#832",
"#1281",
"#455",
"#964",
"#62",
"#954",
"#978",
"#3465",
"#2860",
"#52",
"#179"
]
},
"policy_metadata": {
"/Author": "reyamie",
"/CreationDate": "D:20160118144308-05\u002700\u0027",
"/Creator": "PScript5.dll Version 5.2.2",
"/ModDate": "D:20160118144308-05\u002700\u0027",
"/Producer": "Acrobat Distiller 9.0.0 (Windows)",
"/Title": "Microsoft Word - BlackBerry Cryptographic Java Module_2.8.8_DraftSP1_8.docx",
"pdf_file_size_bytes": 406967,
"pdf_hyperlinks": {
"_type": "Set",
"elements": []
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 31
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "553bb0b1b486668493fabd5c53f67b550c086fcf878940a459e41675f6554845",
"source_hash": "260b469dc127e6cb5c9e2d27b99be269d5490ca9b1a714f0849cc220d58bee77",
"txt_hash": "6cdd8a80d7ff90bec623ffb8d001d6eff208b89e2cc7b1545b04c468455f7726"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When operated in FIPS mode. The module generates cryptographic keys whose strengths are modified by available entropy",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/FIPS140ConsolidatedCertDec2015.pdf",
"date_sunset": null,
"description": "BlackBerry is the leading wireless enterprise solution that allows users to stay connected with secure, wireless access to email, corporate data, phone, web and organizer features. BlackBerry is a totally integrated package that includes hardware, software and service, providing a complete end-to-end solution. The BlackBerry Cryptographic Java Module is a software module that provides cryptographic services to BlackBerryproducts such as the BlackBerry PlayBook Administration Service, and other BlackBerry products.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Physical Security: N/A"
],
"fw_versions": null,
"historical_reason": "186-2 transition",
"hw_versions": null,
"level": 1,
"mentioned_certs": {},
"module_name": "BlackBerry Cryptographic Java Module",
"module_type": "Software",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": "2.8 [1], 2.8.7 [2], 2.8.8 [3]",
"tested_conf": [
"CentOS 7.0 with Java JRE 1.8.0 running on a Dell PowerEdge 2950 (single-user mode) [3]",
"Red Hat Linux AS \n5.5 32-bit [1, 2]",
"Red Hat Linux AS 5.5 64-bit [1, 2]",
"Solaris 10 64-bit [1, 2]",
"Sun Java Runtime Environments (JRE) 1.5.0 and 1.6.0 running on Solaris 10 32-bit [1, 2]",
"Windows 2008 \nServer 64-bit [1, 2]",
"Windows Vista 32-bit [1, 2]",
"Windows Vista 64-bit [1, 2]"
],
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2015-12-18",
"lab": "EWA - Canada",
"validation_type": "Initial"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2016-01-22",
"lab": "EWA - Canada",
"validation_type": "Update"
}
],
"vendor": "BlackBerry Limited",
"vendor_url": "http://www.blackberry.com"
}
}